Voir les détails de l’anomalie

IdentifiantProjetCatégorieVisibilitéDernière mise à jour
0000009NOALYSSGeneralpublic2013-11-12 10:03
Rapporteurdanydb Assigné àdanydb  
PrioriténormaleSévéritémineurReproductibilitésans objet
État ferméRésolutioncorrigé 
Version du produit5.2 
Version ciblée5.3Résolue dans la version5.3 
Résumé0000009: ereg n'est plus supporté, a changer par preg_match
Descriptionremplacer ereg par preg_match

Fichier :
* ac_common.php
* class_acc_bilan.php
* class_document.php
* impress_inc.php
BalisesAucune balise n’est attachée.
Extension Noalyss

Activités

danydb

2010-10-30 17:20

administrateur   ~0000230

Unfortunately , this one in impress_inc.php can not be converted, it checks if the formula is correct
    if ( @ereg ("^(\\$[a-zA-Z]*[0-9]*=){0,1}((\[{0,1}[0-9]+\.*[0-9]*%{0,1}\]{0,1})+ *([+-\*/])* *(\[{0,1}[0-9]+\.*[0-9]*%{0,1}\]{0,1})*)*(([+-\*/])*\\$([a-zA-Z])+[0-9]*([+-\*/])*)* *( *FROM=[0-9][0-0].20[0-9][0-9]){0,1}$",$p_string) == false)
    {
        return false;
    }
    else
    {
        return true;
    }

danydb

2013-05-06 20:57

administrateur   ~0001809

Fix committed to phpcompta branch. revision 3741
Date 2010-10-30 17:27:34
message task 0000009
0000009: ereg n'est plus support?\195?\169, a changer par preg_match, preg_match_all,preg_*
repository PhpCompta WebSVN
id 19406

danydb

2013-11-10 22:56

administrateur   ~0002149

Fix committed to /phpcompta/trunk/ branch. revision 3741
Date 2010-10-30 17:27:34
message task 0000009
0000009: ereg n'est plus support?\195?\169, a changer par preg_match, preg_match_all,preg_*
repository PhpCompta WebSVN
id 25518

danydb

2013-11-12 10:03

administrateur   ~0002241

reopened by websvn

Historique de l’anomalie

Date de modification Nom d’utilisateur Champ Changement
2010-09-21 13:45 danydb Nouvelle anomalie
2010-09-27 11:51 danydb État nouveau => accepté
2010-10-30 17:20 danydb Note ajoutée: 0000230
2010-10-30 17:20 danydb État accepté => résolu
2010-10-30 17:20 danydb Résolue dans la version => Next Release
2010-10-30 17:20 danydb Résolution ouvert => corrigé
2010-10-30 17:20 danydb Assigné à => danydb
2010-12-21 16:53 danydb Résolue dans la version Next Release => 5.3
2010-12-21 16:53 danydb Version ciblée Next Release => 5.3
2011-03-05 17:33 danydb État résolu => fermé
2013-05-06 20:57 danydb Source_changeset_attached => PhpCompta WebSVN phpcompta r3741
2013-05-06 20:57 danydb Note ajoutée: 0001809
2013-11-10 22:56 danydb Source_changeset_attached => PhpCompta WebSVN /phpcompta/trunk/ r3741
2013-11-10 22:56 danydb Note ajoutée: 0002149
2013-11-10 22:56 danydb État fermé => confirmé
2013-11-12 10:03 danydb Note ajoutée: 0002241
2013-11-12 10:03 danydb État confirmé => fermé